issue with netgen on 0.17

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
david69
Posts: 108
Joined: Wed Jan 01, 2014 7:48 pm

issue with netgen on 0.17

Postby david69 » Tue Nov 07, 2017 8:03 pm

hi,

details of my version are:
OS: Ubuntu 16.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12527 (Git)
Build type: None
Branch: master
Hash: ea4f6f2b2d59911026ff2d8d88c731a7873b612d
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: French/France (fr_FR)

i'm trying to reproduce what is shown in the following video but for some reasons, i can not launch netgen.
https://www.youtube.com/watch?v=UXjsTeM ... e=youtu.be

instead, i've got the msg "Le module FEM est construit sans le support de NETGEN. Le maillage ne fonctionnera pas!!!" which i guess i can translate by "FEM module is built without Netgen support. meshing won't work".

i've already post on the French forum and Glouglou answered me that it's working fine for him with almost the same version as mine but under windows.

can somebody try on linux pls? i wonder what am i doing wrong? do i have to add something to the current load?

thank you
fandaL
Posts: 338
Joined: Thu Jul 24, 2014 8:29 am

Re: issue with netgen on 0.17

Postby fandaL » Tue Nov 07, 2017 10:39 pm

Hi,
for meshing in FreeCAD you can choose Netgen or GMSH. Try GMSH which is icon with "G" next to the Netgen one.
david69
Posts: 108
Joined: Wed Jan 01, 2014 7:48 pm

Re: issue with netgen on 0.17

Postby david69 » Wed Nov 08, 2017 11:56 am

hi FandaL,
agree with you, i can use GMSH but it doesn't explain why i can not use Netgen.
UR_
Posts: 972
Joined: Tue Jan 03, 2017 8:42 pm

Re: issue with netgen on 0.17

Postby UR_ » Wed Nov 08, 2017 7:00 pm

Please take some time and have a look:


https://forum.freecadweb.org/viewtopic. ... lit=netgen
david69
Posts: 108
Joined: Wed Jan 01, 2014 7:48 pm

Re: issue with netgen on 0.17

Postby david69 » Wed Nov 08, 2017 10:43 pm

wow a lot to digest. i wish i understand. thx.
david69
Posts: 108
Joined: Wed Jan 01, 2014 7:48 pm

Re: issue with netgen on 0.17

Postby david69 » Fri Nov 10, 2017 12:13 pm

to be honest i didn't read all the thread (it's too technical for me) and i jumped to the last post.

my understanding is that Looo has made a ppa package (including pivy and netgen 6.2) and from that point, we only have to install it. that's what i made but it still doesn't work. i've got the same msg i've reported in my first post.

can it be a conflict with OCCT 7.1? how can i downgrade OCCT to verify this assumption?